/* @refresh reload */
import { render } from "solid-js/web";
import App from "./App";
import "./index.css";
import { Route, Router } from "@solidjs/router";
import { ImagePage } from "./ImagePage";
import { Login } from "./Login";
import { ProtectedRoute } from "./ProtectedRoute";

render(
    () => (
        <Router>
            <Route path="/login" component={Login} />

            <Route path="/" component={ProtectedRoute}>
                <Route path="/" component={App} />
                <Route path="/image/:imageId" component={ImagePage} />
            </Route>
        </Router>
    ),
    document.getElementById("root") as HTMLElement,
);
